<script>
import Select from "@/components/Select.vue";
import SvgIcon from "@/components/SvgIcon.vue";

export default {
  name: "Encharge",
  components: {
    Select,
    SvgIcon,
  },
  data() {
    return {
      selectedIndex: {
        first: 0,
        second: 0,
        third: 0,
        fourth: 0,
      },
      selectOptions: {
        second: ["启动", "停用"],
      },
      showOrigin: false,
    }
  },
  methods: {
    changeSeletIndex(index, data) {
      this.selectedIndex[data] = index[0];
      this.showOrigin = true
    },
  }
}
</script>

<template>
  <div>
    <div class="dilink-12">
      <div class="select-body">
        <u-card left-text="预约充电" is-arrow @onClick="$router.push('/beforeCharge')"/>
        <div class="select-group">
          <u-card :padding=0 class="select-title" left-text="充电口电锁防盗" left-icon-name="setting_tips">
            充电孔电锁防盗
          </u-card>
          <div class="slecet-warp">
            <Select
                :selectedIndex="selectedIndex.second"
                :options="selectOptions.second"
                @changeIndex="changeSeletIndex(arguments, 'second')"
            ></Select>
          </div>
        </div>
      </div>
      <div class="dilink-12-img">
        <img
            v-show="!this.showOrigin"
            src="../../assets/images/setting/beforeCharge/setting_encharge1.webp"
            alt=""
            srcset=""
            class="dilink-12-img1"
        />
        <img
            v-show="this.showOrigin"
            src="../../assets/images/setting/beforeCharge/setting_encharge2.webp"
            alt=""
            srcset=""
            class="dilink-12-img2"
        />
      </div>
      <div v-show="this.selectedIndex.second===0" class="lock_icon">
        <SvgIcon icon-class="ic_lock" class-name="lock_icon1"></SvgIcon>
      </div>
    </div>
  </div>
</template>

<style scoped lang="scss">
.dilink-12 {
  position: relative;
  //dilink-12-img{}
  .dilink-12-img1 {
    width: 830px;
    //height: 582px;
    object-fit: contain;
    position: absolute;
    right: 1px;
    top: 160px;
  }
  .dilink-12-img2 {
    width: 890px;
    //height: 480px;
    object-fit: contain;
    position: absolute;
    right: 0;
    top: 140px;
    //bottom: 0;
  }
  .lock_icon1 {
    position: absolute;
    right: 0;
    top: 8px;
    width: 64px;
    height: 64px;
    opacity: 1;
  }
  .select-body {
    width: 688px;
    .card-container {
      margin-bottom: 14px;
    }
    .select-group {
      width: 688px;
      height: 210px;
      border-radius: 16px;
      box-shadow: 0 0 10px 3px rgba(0, 0, 0, 0.09);
      background: #ffffff;
      display: flex;
      flex-direction: column;
      padding: 39px 42px 45px 44px;
      box-sizing: border-box;
      margin-bottom: 10px;
      .select-title {
        font-size: 28px;
        font-weight: 400;
        color: #090909;
        line-height: 33px;
        letter-spacing: 1px;
      }
      .slecet-warp {
        width: 602px;
        height: 68px;
        margin-top: 5px;

      }
    }
  }
}
</style>